VERSION 2.00
Begin Form DemoMain 
   BackColor       =   &H00C0C0C0&
   BorderStyle     =   3  'Fixed Double
   Caption         =   "String Plus Demo"
   ClientHeight    =   4020
   ClientLeft      =   975
   ClientTop       =   1755
   ClientWidth     =   7335
   ClipControls    =   0   'False
   FillColor       =   &H00FF00FF&
   Height          =   4710
   Left            =   915
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   4020
   ScaleWidth      =   7335
   Top             =   1125
   Width           =   7455
   Begin CommandButton CmdTrick 
      Cancel          =   -1  'True
      Caption         =   "Trick"
      Default         =   -1  'True
      Height          =   375
      Left            =   7440
      TabIndex        =   1
      Top             =   4320
      Width           =   1095
   End
   Begin Label Label1 
      Alignment       =   2  'Center
      BackColor       =   &H00C0C0C0&
      Caption         =   "Label1"
      Height          =   2055
      Left            =   1200
      TabIndex        =   0
      Top             =   480
      Width           =   4935
   End
   Begin Menu mnuDemo 
      Caption         =   "&Demos"
      Begin Menu mnuDemoKeyState 
         Caption         =   "&KeyState Information..."
      End
      Begin Menu mnuDemoManipulate 
         Caption         =   "&Manipulate Strings..."
      End
      Begin Menu mnuDemoNumber 
         Caption         =   "&Number Strings..."
      End
      Begin Menu mnuDemoSuperTextOut 
         Caption         =   "&SuperPrint..."
      End
      Begin Menu mnuDemoTextJustify 
         Caption         =   "Text &Justification..."
      End
      Begin Menu mnuDemoTokens 
         Caption         =   "&Tokens..."
      End
      Begin Menu mnuDemoWordCount 
         Caption         =   "&Word Count..."
      End
      Begin Menu mnuDemoSep1 
         Caption         =   "-"
      End
      Begin Menu mnuDemoExit 
         Caption         =   "E&xit"
      End
   End
   Begin Menu mnuHelp 
      Caption         =   "&Help"
      Begin Menu mnuHelpContents 
         Caption         =   "DLL Help &Contents..."
      End
      Begin Menu mnuHelpSearch 
         Caption         =   "DLL Help &Search..."
      End
      Begin Menu mnuHelpSep 
         Caption         =   "-"
      End
      Begin Menu mnuHelpOrderForm 
         Caption         =   "&Order Form..."
      End
      Begin Menu mnuHelpEvaluation 
         Caption         =   "&Evaluation Form..."
      End
   End
End

Sub CmdTrick_Click ()
    Unload Me
End Sub

Sub Form_Load ()
    x% = GetStrPlusVersion()
    
    nl = Chr$(13) + Chr$(10)
    FormCenterScreen Me
    mnuHelp.Caption = Chr$(8) + "&Help"
    
    msg$ = nl + "This small application demonstrates some" + nl
    msg$ = msg$ + "of the functions of StrPlus.DLL and a few" + nl
    msg$ = msg$ + "VB tricks too.  Print and study the program" + nl
    msg$ = msg$ + "to fully understand how it all works" + nl
    msg$ = msg$ + "together.  Also, read the online Help file" + nl
    msg$ = msg$ + "StrPlus.HLP to learn about the functions in" + nl
    msg$ = msg$ + " this version of StrPlus ... and about how to" + nl
    msg$ = msg$ + " register this shareware utility."
    label1.Caption = msg$
End Sub

Sub Form_Paint ()
    DoForm3D Me, sunken, 3, 0
    DoForm3D Me, raised, 1, 3
    DoControl3D label1, raised, 4
End Sub

Sub Form_Unload (Cancel As Integer)
    'SBhWnd% = GetStatusBarhWnd(Me.hWnd)
    'dummy% = DestroyWindow(SBhWnd%)
End Sub

Sub mnuDemoExit_Click ()
    Unload Me
End Sub

Sub mnuDemoKeyState_Click ()
    Screen.MousePointer = 11
    KeyInfo.Show 1
End Sub

Sub mnuDemoManipulate_Click ()
    Screen.MousePointer = 11
    StrMan.Show 1
End Sub

Sub mnuDemoNumber_Click ()
    Screen.MousePointer = 11
    NbrStr.Show 1
End Sub

Sub mnuDemoSuperTextOut_Click ()
    Screen.MousePointer = 11
    TextOut.Show 1
End Sub

Sub mnuDemoTextJustify_Click ()
    Screen.MousePointer = 11
    TextJust.Show 1
End Sub

Sub mnuDemoTokens_Click ()
    Screen.MousePointer = 11
    Tokens.Show 1
End Sub

Sub mnuDemoWordCount_Click ()
    Screen.MousePointer = 11
    WordCnt.Show 1
End Sub

Sub mnuHelpContents_Click ()
    On Error Resume Next
    MyHelpFile$ = App.Path
    MyHelpFile$ = AddSeparator(MyHelpFile$) + "STRPLUS.HLP"
    Screen.MousePointer = 11
    ret% = WinHelp(Me.hWnd, MyHelpFile$, HELP_CONTENTS, 0&)
    Screen.MousePointer = 0
End Sub

Sub mnuHelpEvaluation_Click ()
        On Error Resume Next
        WinPath$ = GetWinDir()
        WinPath$ = AddSeparator(WinPath$) + "WRITE.EXE"
        DocPath$ = App.Path
        DocPath$ = AddSeparator(DocPath$) + "EVALFRM.WRI"
        FullPath$ = WinPath$ + " " + DocPath$
        Screen.MousePointer = 11
        x = Shell(FullPath$, 3)
        Screen.MousePointer = 0
End Sub

Sub mnuHelpOrderForm_Click ()
        On Error Resume Next
        WinPath$ = GetWinDir()
        WinPath$ = AddSeparator(WinPath$) + "WRITE.EXE"
        DocPath$ = App.Path
        DocPath$ = AddSeparator(DocPath$) + "ORDERFRM.WRI"
        FullPath$ = WinPath$ + " " + DocPath$
        Screen.MousePointer = 11
        x = Shell(FullPath$, 3)
        Screen.MousePointer = 0
End Sub

Sub mnuHelpSearch_Click ()
    On Error Resume Next
    MyHelpFile$ = App.Path
    MyHelpFile$ = AddSeparator(MyHelpFile$) + "STRPLUS.HLP"
    Screen.MousePointer = 11
    ret% = WinHelp(Me.hWnd, MyHelpFile$, HELP_PARTIALKEY, "")
    Screen.MousePointer = 0
End Sub

